# Time series predictions for deployments (Serverless)

> Time series predictions for deployments (Serverless) - Make time series predictions for a deployed
> model using serverless prediction environments.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-07-27T18:44:30.273296+00:00` (UTC).

## Primary page

- [Time series predictions for deployments (Serverless)](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md): Full documentation for this topic (Markdown sidecar).

## Sections on this page

- [リクエストパラメーター](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#request-parameters): In-page section heading.
- [ヘッダー](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#headers): In-page section heading.
- [引数のクエリ（時系列モデルのみ）](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#query-arguments): In-page section heading.
- [本文](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#body): In-page section heading.
- [Response 200](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#response-200): In-page section heading.
- [連続値予想の例](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#regression-prediction-example): In-page section heading.
- [二値分類の予測例](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#binary-classification-prediction-example): In-page section heading.
- [エラーリスト](https://docs.datarobot.com/ja/docs/api/reference/predapi/pred-ref-serverless/time-pred.html.md#errors-list): In-page section heading.

## Documentation content

Endpoint: `/api/v2/deployments/<deploymentId>/predictions`

Makes time series predictions for a deployed model using serverless prediction environments.

リクエストメソッド： `POST`

Request URL: REST API URL, for example: `https://your-company.datarobot.com/api/v2`

## リクエストパラメーター

### ヘッダー

| キー | タイプ | 説明 | 例 |
| --- | --- | --- | --- |
| Authorization | 文字列 | 3つの方法がサポートされます。Bearer認証（使用非推奨）基本認証：User_emailおよびAPIトークン（使用非推奨）APIトークン | Bearer認証方法の例：Bearer API_key-12345abcdb-xyz6789 （使用非推奨）User_emailおよびAPIトークン方法の例：Basic Auth_basic-12345abcdb-xyz6789 （使用非推奨）APIトークン方法の例：Token API_key-12345abcdb-xyz6789 |

### 引数のクエリ（時系列モデルのみ）

| キー | タイプ | 説明 | 例 |
| --- | --- | --- | --- |
| forecastPoint | ISO-8601文字列 | ISO 8601形式のDateTime文字列（タイムゾーンなし）。予測ポイントを表します。 predictionsStartDateおよびpredictionsEndDateがパスされる場合、このパラメーターは使用できません。 | ?forecastPoint=2013-12-20T01:30:00Z |
| relaxKnownInAdvanceFeaturesCheck | ブール | trueまたはfalse。 trueの場合、予測時に予測ウィンドウで事前に既知の特徴量の欠損値を使用できます。 デフォルト値はfalseです。 事前に既知の値がない場合、予測品質に負の影響が生じることがあります。 | ?relaxKnownInAdvanceFeaturesCheck=true |
| predictionsStartDate | ISO-8601文字列 | データセット内での一括予測の生成開始時間。 このパラメーターは、predictionsEndDateと一緒に定義する必要があります。 predictionsStartDateおよびpredictionsEndDateがパスされる場合、forecastPointパラメーターは使用できません。 | ?predictionsStartDate=2013-12-20T01:30:00Z&predictionsEndDate=2013-12-20T01:40:00Z |
| predictionsEndDate | ISO-8601文字列 | データセット内での一括予測の生成停止時間。 このパラメーターは、predictionsStartDateと一緒に定義する必要があります。 predictionsStartDateおよびpredictionsEndDateがパスされる場合、forecastPointパラメーターは使用できません。 | 上記を参照。 |

`passthroughColumns` 、 `passthroughColumnsSet` および `maxExplanations` を含む標準的なURIパラメーターを使用することができます。

> [!NOTE] XEMPベースの説明のサポート
> 時系列では、XEMPによる説明をサポートしています。 `maxExplanations` URIパラメーターの例については、 [予測の説明](https://docs.datarobot.com/ja/docs/api/reference/predapi/legacy-predapi/pred-ref/dep-predex.html.md) を参照してください。

### 本文

| データ | タイプ | 例 |
| --- | --- | --- |
| 過去のデータおよび予測のデータ | JSON | 以下の画像に示す元のデータ。 |

### Response 200

#### 連続値予想の例

```
{
  "data": [
    {
      "seriesId": null,
      "forecastPoint": "2013-12-20T00:00:00Z",
      "rowId": 35,
      "timestamp": "2013-12-21T00:00:00.000000Z",
      "predictionValues": [
        {
        "value": 2.3353628422,
        "label": "sales (actual)"
        }
    ],
    "forecastDistance": 1,
    "prediction": 2.3353628422
    }
  ]
} 
```

#### 二値分類の予測例

```
{
  "data": [
    {
      "rowId": 147,
      "prediction": "low",
      "predictionThreshold": 0.5,
      "predictionValues": [
        {"label": "low", "value": 0.5158823954},
        {"label": "high", "value": 0.4841176046},
      ],
      "timestamp": "1961-04-01T00:00:00.000000Z",
      "forecastDistance": 2,
      "forecastPoint": "1961-02-01T00:00:00Z",
      "seriesId": null,
    }
  ]
} 
```

## エラーリスト

| HTTPコード | サンプルエラーメッセージ | リーズン |
| --- | --- | --- |
| 400 BAD REQUEST | {"message": "Based on the forecast point (10/26/08), there are no rows to predict that fall inside of the forecast window (10/27/08 to 11/02/08). Try adjusting the forecast point to an earlier date or appending new future rows to the data."} | 予測を行うために空の行が提供されませんでした。 |
| 400 BAD REQUEST | {"message": "No valid output rows"} | 過去の情報が提供されませんでした。予測する行は1つしかありません。 |
| 400 BAD REQUEST | {"message": "The \"Time\" feature contains the value 'OCT-27', which does not match the original format %m/%d/%y (e.g., '06/24/19'). To upload this data, first correct the format in your prediction dataset and then try the import again. Because some software automatically converts the format for display, it is best to check the actual format using a text editor."} | 予想行の形式が残りのデータの形式と異なります。 |
| 400 BAD REQUEST | {"message": "The following errors are found:\n • The prediction data must contain historical values spanning more than 35 day(s) into the past. In addition, the target cannot have missing values or missing rows which are used for differencing"} | 提供されたデータセットには、必須の35行よりも少ない過去のデータが含まれています。 |
| 400 BAD REQUEST | {"message": {"forecastPoint": "Invalid RFC 3339 datetime string: "}} | 空または無効なforecastPointが提供されました。 |
| 404 NOT FOUND | {"message": "Deployment :deploymentId cannot be found for user :userId"} | Deployment was removed or doesn't exist. |
| 422 UNPROCESSABLE ENTITY | {"message": "Predictions on models that are not time series models are not supported on this endpoint. Please use the predict endpoint instead."} | 時系列プロジェクトでないdeploymentIdが提供されました。 |
| 422 UNPROCESSABLE ENTITY | {"message": {"relaxKnownInAdvanceFeaturesCheck": "value can't be converted to Bool"}} | 空または無効なrelaxKnownInAdvanceFeaturesCheck'の値が提供されました。 |
